Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class WebServer

    java.lang.Object
      |
      +--org.hsqldb.WebServer

public class WebServer
extends java.lang.Object

WebServer acts as a HTTP server and is one way of using the client / server mode of HSQL Database Engine. This server can deliver static files and can also process database queries. An applet will need only the JDBC classes to access the database. The WebServer can be configured with the file 'WebServer.properties'. This is an example of the file:

     port=80
     database=test
     root=./
     default=index.html
     silent=true

     .htm=text/html
     .html=text/html
     .txt=text/plain
     .gif=image/gif
     .class=application/octet-stream
     .jpg=image/jpeg
     .jgep=image/jpeg
     .zip=application/x-zip-compressed

Root: use / as separator even for DOS/Windows, it will be replaced
Mime-types: file ending must be lowercase

Field Summary
`(package private) Database` | `mDatabase`
`(package private) java.lang.String` | `mDefaultFile`
`(package private) char` | `mPathSeparatorChar`
`(package private) java.util.Properties` | `mProperties`
`(package private) java.lang.String` | `mRoot`
`(package private) static java.lang.String` | `mServerName`
`(package private) boolean` | `mSilent`

Constructor Summary
`WebServer()`

Method Summary
`static void` | `main(java.lang.String[] arg)` Method declaration
`(package private) void` | `printHelp()` Method declaration
`(package private) void` | `trace(java.lang.String s)` Method declaration
`(package private) void` | `traceError(java.lang.String s)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mServerName

    static final java.lang.String mServerName

### mRoot

    java.lang.String mRoot

### mDefaultFile

    java.lang.String mDefaultFile

### mPathSeparatorChar

    char mPathSeparatorChar

### mSilent

    boolean mSilent

### mDatabase

    Database mDatabase

### mProperties

    java.util.Properties mProperties

Constructor Detail

### WebServer

    public WebServer()

Method Detail

### main

    public static void main(java.lang.String[] arg)

  Method declaration
  Parameters:
    `arg` -

### printHelp

    void printHelp()

  Method declaration

### trace

    void trace(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

### traceError

    void traceError(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD